MySQL: System Requirements

Updated

Verify that your environment meets the system requirements for PostgreSQL.

Operating System

Important: Use the most recent version of the operating system that is listed. The Commvault software fully supports the most recent version of an operating system, until the vendor ends support. More recent versions of the Commvault software might not install on operating systems that are not supported by the vendor anymore. For information about the support lifecycle of an operating system, contact the vendor.

MySQL Community Server, Percona Server, Enterprise, Standard, or Classic Edition 8.0.x

Linux

Important:

  • If you have SELinux enabled on the client computer, create the SELinux policy module as a root user before performing a backup. The SELinux Development package must be installed on the client.

  • You can install a Percona server only on Linux operating systems.

Operating system

Processor architecture

Debian 11.x

  • x64

  • Compatible processors

Debian 10.x

  • x64

  • Compatible processors

Debian 9.x

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 8.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 7.x with glibc 2.17.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 6.x with glibc 2.12.x

  • x86

  • x64

  • Compatible processors

SuSE Linux 15.0

  • x64

  • Compatible processors

SuSE Linux 12 Initial Release

  • x64

  • Compatible processors

Ubuntu 14.04 LTS

  • x64

  • Compatible processors

Ubuntu 16.04 LTS

  • x64

  • Compatible processors

Ubuntu 18.04 LTS

  • x64

  • Compatible processors

Ubuntu 20.04 LTS

  • x64

  • Compatible processors

Windows

Operating system

Processor architecture

Microsoft Windows Server 2019 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2016 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

Microsoft Windows Server 2008 R2 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

MySQL Community Server, Percona Server, Enterprise, Standard, or Classic Edition 5.5.x, 5.6.x, 5.7.x; MariaDB 5.5.x, 10.0.x to 10.6.x

FreeBSD

Operating system

Processor architecture

FreeBSD 10.x

  • x64

  • Compatible processors

FreeBSD 9.x

  • x64

  • Compatible processors

HP-UX

Operating system

Processor architecture

HP-UX 11i v3 (11.31)

Itanium

Linux

Important

  • On Ubuntu 9.x 64-bit computers, you must install the libstdc++.so.5 compatibility package. To install the package, use the following command:[root]# sudo apt-get install libstdc++5

  • On Ubuntu and Debian computers, install the latest packages for the operating system before installing the Agent. To install the latest packages, use the following command: [root]# apt-get upgrade

  • You can install a Percona server only on Linux operating systems.

Operating system

Processor architecture

Asianux 4

  • x64

  • Compatible processors

Debian 11.x

  • x64

  • Compatible processors

Debian 10.x

  • x64

  • Compatible processors

Debian 9.x

  • x64

  • Compatible processors

Debian 8.x

  • x64

  • Compatible processors

Debian 7.x

  • x64

  • Compatible processors

Debian 6.x with glibc 2.11.x

  • x64

  • Compatible processors

Debian 5.x

  • x64

  • Compatible processors

Gentoo release 10.1 with glibc 2.6.x

x64

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 8.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 7.x with glibc 2.17.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 6.x with glibc 2.12.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/Oracle Linux Enterprise/CentOS 5.x with glibc 2.5.x

  • x86

  • x64

  • Compatible processors

Source Mage Linux

x64

SuSE Linux 12.0

  • x64

  • PowerPC (little endian)

  • Compatible processors

SuSE Linux 11 (Initial Release/SP1 and later SPs) with glibc 2.9.x and higher

  • x64

  • PowerPC (little endian)

  • Compatible processors

Ubuntu 8.04

  • x64

  • Compatible processors

Ubuntu 9.04

  • x64

  • Compatible processors

Ubuntu 10.04 LTS

  • x64

  • Compatible processors

Ubuntu 12.04 LTS

  • x64

  • Compatible processors

Ubuntu 14.04 LTS

  • x64

  • Compatible processors

Ubuntu 16.04 LTS

  • x64

  • Compatible processors

Ubuntu 18.04 LTS

  • x64

  • Compatible processors

Ubuntu 20.04 LTS

  • x64

  • Compatible processors

Solaris

In a UNIX virtualization environment using Solaris, you can back up and restore data in both global and non-global zones.

Operating system

Processor architecture

Solaris 11.x

  • x64

  • Sparc T/M series

Solaris 10 Update 6 or equivalent

  • x64

  • Sparc T/M series

Windows

Operating system

Processor architecture

Microsoft Windows Server 2016 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

Microsoft Windows Server 2008 R2 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

Hard Drive

Component

Space required

Software

1 GB

Job results folder

256 MB

Log folder

256 MB

Clustering

If clustering is supported by the operating system, you can install the software on a cluster. For information about supported cluster types, see Support for Cluster Configuration.

Block-Level Backups

  • Block-level backups are supported only on Linux platforms. For supported Linux kernel version details, see MySQL Block-Level Backup.

  • Block-level backups are not supported on the Network File System (NFS).

Software That Is Automatically Installed

File System Agent

Microsoft Visual C++ Redistributable 2017

Starting with Service Pack 18, Microsoft Visual C++ Redistributable 2017 (vcredist2017.exe) is automatically installed.

If a computer does not have the most recent Windows updates, the installation of Microsoft Visual C++ Redistributable 2017 will fail in installing Universal C Runtime. The following Windows updates must be installed to prevent the installation failure. The updates are not required on the most recent Windows operating system versions, such as Microsoft Windows 10 and Microsoft Windows Server 2016, because these versions have the Universal C Runtime already installed.

  • KB2919355

  • KB2939087

  • KB2975061

  • KB2999226

DISCLAIMER

Certain third-party software and service releases (together, "Releases") may not be supported by Commvault. You are solely responsible for ensuring Commvault’s products and services are compatible with any such Releases.